#ifndef _PARSER_H_
#define _PARSER_H_

#include <iostream>

using namespace std;

class Parser
{
	string GetFirst(string aIn);
	string ToLower(string aLower);

public:
	bool First(string aInput, string aWord);
	bool First(string aInput, string aWord, string aWord2);
	bool First(string aInput, string aWord, string aWord2, string aWord3);

	bool Next(string aInput, string aWord);
	bool Next(string aInput, string aWord, string aWord2);
	bool Next(string aInput, string aWord, string aWord2, string aWord3);
};

#endif //Close _PARSER_H_